Package com.sun.jna.platform.win32

## Class Rasapi32Util.Ras32Exception

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jna.platform.win32.Rasapi32Util.Ras32Exception

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    Rasapi32Util

      public static class Rasapi32Util.Ras32Exception
      extends java.lang.RuntimeException

  Exceptions
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Ras32Exception​(int code)` | New Win32 exception from an error code, usually obtained from GetLastError.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCode()` | Returns the error code of the error.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Ras32Exception

          public Ras32Exception​(int code)

      New Win32 exception from an error code, usually obtained from GetLastError.
      Parameters:
        `code` - Error code.

  - ### Method Detail

    - #### getCode

          public int getCode()

      Returns the error code of the error.
      Returns:
        Error code.